%global pypi_name    Markdown
%global package_name %(echo "%{pypi_name}" | tr '-' '_' | tr '[:upper:]' '[:lower:]')

%{?scl:%global python3_pkgversion %{nil}}
%{?scl:%scl_package python-%{package_name}}
%{!?scl:%global pkg_name %{name}}

Name:           %{?scl_prefix}python%{python3_pkgversion}-%{package_name}
Version:        2.6.11
Release:        1%{?dist}
Summary:        Python implementation of Markdown

Group:          Development/Libraries
License:        BSD
URL:            https://pypi.io/project/%{pypi_name}
Source0:        https://pypi.io/packages/source/%(echo "%{pypi_name}" | cut -c 1)/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-devel
BuildRequires:  %{?scl_prefix_python}python%{python3_pkgversion}-setuptools
%{?scl:BuildRequires: %{scl}-build %{scl}-runtime}

%{?scl:Requires: %{scl}-runtime}

%description
This is a Python implementation of John Gruber’s Markdown. It is almost
completely compliant with the reference implementation, though there are a few
known issues. See Features for information on what exactly is supported and what
is not. Additional features are supported by the Available Extensions.

%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} \
  setup.py \
  install \
  -O1 \
  --skip-build \
  --root %{buildroot} \
  --install-purelib %{python3_sitelib} \
  --install-scripts %{_bindir}
%{?scl:"}

%files
%license LICENSE.md
%doc INSTALL.md
%doc README.md
%{_bindir}/markdown_py
%{python3_sitelib}/%{package_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Thu Nov 22 2018 Daniel Uvehag <daniel.uvehag@gmail.com> - 2.6.11-1
- Initial package.
